---
title: Document.documentURI
slug: Web/API/Document/documentURI
tags:
  - API
  - DOM
  - Document
  - Property
  - Read-only
  - Reference
---
<div>{{ApiRef("DOM")}}</div>

<p>The <code><strong>documentURI</strong></code> read-only property of the {{domxref("Document")}} interface returns the document location as a string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>uri</em> = <em>document</em>.documentURI
</pre>

<h2 id="Example">Example</h2>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">document.getElementById("url").textContent = document.documentURI;</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;p id="urlText"&gt;
  URL:&lt;br/&gt;
  &lt;span id="url"&gt;URL goes here&lt;/span&gt;
&lt;/p&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", "100%", 100)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-document-documenturi','documentURI')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.documentURI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("document.URL")}} property which returns the same value.</li>
</ul>
